// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/*=============================================*/ 
/*---------------------------------------------   
  edu_lib.h Library for EDU 

  Made by do_edu_lib2.c on 22/03/96 11:07:15
  '#define' and 'typedef' for EDU library   
  To be included after <types.h>     OS9 or 
                       <sys/types.h> ULTRIX 
  This file must be included before edu_lib2.g
  and after  epic_defs.h                     
  and in all file which need to deal with EDU
  
  ---------------------------------------------*/ 
/*=============================================*/ 

typedef struct {   
         int  id_patt   ;  
         int  id_mask   ;  
         char mat[EDU_NSID][EDU_NSID] ;  
         char number    ;  
         char kind      ;  
       } EDU_PATTERN ;
