// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/*=========================================================================*/
/* --  tools.h    definitions ---------------------------------------------
 
   Aim       :  General usefull definitions.
   Note      :  Must be included

   FOR C on ULTRIX
  ------------------------------------------------------------------------ */
/*=========================================================================*/

typedef enum { MFALSE, MTRUE } BOOLEAN ;
#define ERROR  -1

#define MAXLINE 80
typedef char LINE[MAXLINE] ;

#define TRUE  1
#define FALSE 0

#define Max(p,q) ((p)<(q)?(q):(p))
#define Min(p,q) ((q)<(p)?(q):(p))

